Clipinc.sh

Aus VDR Wiki
(Unterschied zwischen Versionen)
Wechseln zu: Navigation, Suche
(M)
 
(31 dazwischenliegende Versionen von 25 Benutzern werden nicht angezeigt)
Zeile 1: Zeile 1:
#!/bin/sh
+
Vorschlag für ein einfaches Skript um [[clipinc]] zu ''starten'', welches über die [[reccmds.conf]] ausgeführt werden kann.
#
+
 
# clipinc.sh - v.0.1
+
{{Box Datei | [[Struktur|$PATH]]/clipinc.sh |
#
+
<pre>
# add this lines to your [[reccmds.conf]]:
+
#!/bin/sh
# folgende zeilen in die [[reccmds.conf]] eintragen:
+
#
#
+
# clipinc.sh
# Start clipinc : /usr/local/bin/clipinc.sh -start
+
#
# Stop clipinc? : /usr/local/bin/clipinc.sh -kill
+
# add this lines to your reccmds.conf:
+
# folgende zeilen in die reccmds.conf eintragen:
case "${1}" in
+
#
 +
# Run clipinc   : /path_to_this_script/clipinc.sh -start
 +
# Stop clipinc? : /path_to_this_script/clipinc.sh -kill
 +
 
 +
# CONFIG START
 +
  CLIPINC_LOGFILE="/var/log/vdr/clipinc.log"
 +
# CONFIG END
 +
 
 +
which clipinc.pl >/dev/null 2>&1 || { echo clipinc.pl $"not found" ... ; exit 1 ; }
 +
 
 +
case $1 in
 
     -start)
 
     -start)
        msg() {
+
if [ -s "${PIDFILE:=$2/clipinc.pid}" ] ; then
            echo -e "-----------\n${@}\n-----------"
+
    read PID < "$PIDFILE"
        }
+
    echo $"Clipinc process already active" "(pid: $PID)" ...
+
else
        test -s "${2}/recinfo.conf" || {
+
    if [ -e "$2/recinfo.conf" ] ; then
            msg "recinfo.conf not found..."
+
screen -dm sh -c \
            exit 1
+
" \
        }
+
    clipinc.pl \"$2\" > \"$CLIPINC_LOGFILE\" 2>&1 &
+
    svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Clipinc process started"" (pid: \$!) ...\" ; \
at now <<EOF
+
    echo \$! > \"$PIDFILE\" ; \
clipinc.pl "${2}"
+
    wait \$! ; \
EOF
+
    rm -f \"$PIDFILE\" ; \
        ;;
+
    svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Clipinc process finished"" (pid: \$!) ...\" ; \
    -kill)
+
"
        killall vdrcut clipinc.pl
+
    else
        ;;
+
echo $"recinfo.conf not found" ...
esac
+
    fi
 +
fi
 +
;;
 +
    -kill)
 +
if [ -s "${PIDFILE:=$2/clipinc.pid}" ] ; then
 +
    read PID < "$PIDFILE"
 +
    if ps -p $PID >/dev/null 2>&1 ; then
 +
        kill -9 $PID
 +
    fi
 +
    rm -f "$PIDFILE"
 +
fi
 +
;;
 +
esac
 +
 
 +
exit $?
 +
</pre>
 +
}}
 +
 
 +
==Quellen==
 +
* [[clipinc]]
  
[[Kategorie:Scripts]]
+
[[Kategorie:Skripte]]

Aktuelle Version vom 12. Juni 2006, 10:02 Uhr

Vorschlag für ein einfaches Skript um clipinc zu starten, welches über die reccmds.conf ausgeführt werden kann.

Datei
$PATH/clipinc.sh
#!/bin/sh
#
# clipinc.sh
#
# add this lines to your reccmds.conf:
# folgende zeilen in die reccmds.conf eintragen:
#
# Run clipinc   : /path_to_this_script/clipinc.sh -start
# Stop clipinc? : /path_to_this_script/clipinc.sh -kill

# CONFIG START
  CLIPINC_LOGFILE="/var/log/vdr/clipinc.log"
# CONFIG END

which clipinc.pl >/dev/null 2>&1 || { echo clipinc.pl $"not found" ... ; exit 1 ; }

case $1 in
     -start)
	if [ -s "${PIDFILE:=$2/clipinc.pid}" ] ; then
	    read PID < "$PIDFILE"
	    echo $"Clipinc process already active" "(pid: $PID)" ...
	else
	    if [ -e "$2/recinfo.conf" ] ; then
		screen -dm sh -c \
		" \
		    clipinc.pl \"$2\" > \"$CLIPINC_LOGFILE\" 2>&1 &
		    svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Clipinc process started"" (pid: \$!) ...\" ; \
		    echo \$! > \"$PIDFILE\" ; \
		    wait \$! ; \
		    rm -f \"$PIDFILE\" ; \
		    svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Clipinc process finished"" (pid: \$!) ...\" ; \
		"
	    else
		echo $"recinfo.conf not found" ...
	    fi
	fi
	;;
     -kill)
	if [ -s "${PIDFILE:=$2/clipinc.pid}" ] ; then
	    read PID < "$PIDFILE"
	    if ps -p $PID >/dev/null 2>&1 ; then
	        kill -9 $PID
	    fi
	    rm -f "$PIDFILE"
	fi
	;;
esac

exit $?


[Bearbeiten] Quellen